org.icefaces.ace.component.column

## Class ColumnBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIColumn
      - - org.icefaces.ace.component.column.ColumnBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IColumn
  Direct Known Subclasses:
    Column

      public abstract class ColumnBase
      extends javax.faces.component.UIColumn
      implements IColumn

  Component that represents a column in an ace:dataTable.

  For more information, see the Column Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ColumnBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIColumn

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColspan()` Return the value of the `colspan` property.
    `java.lang.String` | `getFamily()`
    `java.lang.Object` | `getFilterBy()` Return the value of the `filterBy` property.
    `javax.faces.component.UIComponent` | `getFilterFacet()` Return the value of the `filter facet` property.
    `java.lang.String` | `getFilterMatchMode()` Return the value of the `filterMatchMode` property.
    `java.lang.Object` | `getFilterOptions()` Return the value of the `filterOptions` property.
    `java.lang.String` | `getFilterStyle()` Return the value of the `filterStyle` property.
    `java.lang.String` | `getFilterStyleClass()` Return the value of the `filterStyleClass` property.
    `java.lang.String` | `getFilterValue()` Return the value of the `filterValue` property.
    `java.lang.Object` | `getFilterValues()` Return the value of the `filterValues` property.
    `java.lang.String` | `getFooterText()` Return the value of the `footerText` property.
    `java.lang.Object` | `getGroupBy()` Return the value of the `groupBy` property.
    `java.lang.String` | `getHeaderText()` Return the value of the `headerText` property.
    `java.lang.String` | `getLazyColumnKey()` Return the value of the `lazyColumnKey` property.
    `java.lang.Integer` | `getPinningOrder()` Return the value of the `pinningOrder` property.
    `int` | `getRowspan()` Return the value of the `rowspan` property.
    `java.lang.Object` | `getSelectBy()` Return the value of the `selectBy` property.
    `java.lang.Object` | `getSortBy()` Return the value of the `sortBy` property.
    `java.util.Comparator` | `getSortFunction()` Return the value of the `sortFunction` property.
    `java.lang.Integer` | `getSortPriority()` Return the value of the `sortPriority` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `boolean` | `isConfigurable()` Return the value of the `configurable` property.
    `boolean` | `isHideSortControls()` Return the value of the `hideSortControls` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isReorderable()` Return the value of the `reorderable` property.
    `java.lang.Boolean` | `isSortAscending()` Return the value of the `sortAscending` property.
    `boolean` | `isSortWhenGrouping()` Return the value of the `sortWhenGrouping` property.
    `boolean` | `isStacked()` Return the value of the `stacked` property.
    `void` | `setColspan(int colspan)` Set the value of the `colspan` property.
    `void` | `setConfigurable(boolean configurable)` Set the value of the `configurable` property.
    `void` | `setFilterBy(java.lang.Object filterBy)` Set the value of the `filterBy` property.
    `void` | `setFilterFacet(javax.faces.component.UIComponent filter)` Set the value of the `filter facet` property.
    `void` | `setFilterMatchMode(java.lang.String filterMatchMode)` Set the value of the `filterMatchMode` property.
    `void` | `setFilterOptions(java.lang.Object filterOptions)` Set the value of the `filterOptions` property.
    `void` | `setFilterStyle(java.lang.String filterStyle)` Set the value of the `filterStyle` property.
    `void` | `setFilterStyleClass(java.lang.String filterStyleClass)` Set the value of the `filterStyleClass` property.
    `void` | `setFilterValue(java.lang.String filterValue)` Set the value of the `filterValue` property.
    `void` | `setFilterValues(java.lang.Object filterValues)` Set the value of the `filterValues` property.
    `void` | `setFooterText(java.lang.String footerText)` Set the value of the `footerText` property.
    `void` | `setGroupBy(java.lang.Object groupBy)` Set the value of the `groupBy` property.
    `void` | `setHeaderText(java.lang.String headerText)` Set the value of the `headerText` property.
    `void` | `setHideSortControls(boolean hideSortControls)` Set the value of the `hideSortControls` property.
    `void` | `setLazyColumnKey(java.lang.String lazyColumnKey)` Set the value of the `lazyColumnKey` property.
    `void` | `setPinningOrder(java.lang.Integer pinningOrder)` Set the value of the `pinningOrder` property.
    `void` | `setReorderable(boolean reorderable)` Set the value of the `reorderable` property.
    `void` | `setRowspan(int rowspan)` Set the value of the `rowspan` property.
    `void` | `setSelectBy(java.lang.Object selectBy)` Set the value of the `selectBy` property.
    `void` | `setSortAscending(java.lang.Boolean sortAscending)` Set the value of the `sortAscending` property.
    `void` | `setSortBy(java.lang.Object sortBy)` Set the value of the `sortBy` property.
    `void` | `setSortFunction(java.util.Comparator sortFunction)` Set the value of the `sortFunction` property.
    `void` | `setSortPriority(java.lang.Integer sortPriority)` Set the value of the `sortPriority` property.
    `void` | `setSortWhenGrouping(boolean sortWhenGrouping)` Set the value of the `sortWhenGrouping` property.
    `void` | `setStacked(boolean stacked)` Set the value of the `stacked` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`

    - ### Methods inherited from class javax.faces.component.UIColumn

      `getFooter, getHeader, setFooter, setHeader`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

  - ### Constructor Detail

    - #### ColumnBase

          public ColumnBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIColumn`

    - #### setColspan

          public void setColspan(int colspan)

      Set the value of the `colspan` property.

      Contents: Defines the number of columns the rendered cell spans. Only significant to Column components within a column group.

      Specified by:
        `setColspan` in interface `IColumn`

    - #### getColspan

          public int getColspan()

      Return the value of the `colspan` property.

      Contents: Defines the number of columns the rendered cell spans. Only significant to Column components within a column group. Default = '1'.

      Specified by:
        `getColspan` in interface `IColumn`

    - #### setConfigurable

          public void setConfigurable(boolean configurable)

      Set the value of the `configurable` property.

      Contents: When disabled, this column is excluded from the list of columns available for configuration on a TableConfigPanel component.

      Specified by:
        `setConfigurable` in interface `IColumn`

    - #### isConfigurable

          public boolean isConfigurable()

      Return the value of the `configurable` property.

      Contents: When disabled, this column is excluded from the list of columns available for configuration on a TableConfigPanel component. Default = 'true'.

      Specified by:
        `isConfigurable` in interface `IColumn`

    - #### setFilterBy

          public void setFilterBy(java.lang.Object filterBy)

      Set the value of the `filterBy` property.

      Contents: Defines a ValueExpression of the value of this row to use when filtering this column. Setting this attribute, or the "value" attribute for a column enables filtering.

      Specified by:
        `setFilterBy` in interface `IColumn`

    - #### getFilterBy

          public java.lang.Object getFilterBy()

      Return the value of the `filterBy` property.

      Contents: Defines a ValueExpression of the value of this row to use when filtering this column. Setting this attribute, or the "value" attribute for a column enables filtering.

      Specified by:
        `getFilterBy` in interface `IColumn`

    - #### setFilterMatchMode

          public void setFilterMatchMode(java.lang.String filterMatchMode)

      Set the value of the `filterMatchMode` property.

      Contents: Defines the method of filter comparison used, default is "startsWith". Types available include: "contains", "exact", "startsWith" and "endsWith".

      Specified by:
        `setFilterMatchMode` in interface `IColumn`

    - #### getFilterMatchMode

          public java.lang.String getFilterMatchMode()

      Return the value of the `filterMatchMode` property.

      Contents: Defines the method of filter comparison used, default is "startsWith". Types available include: "contains", "exact", "startsWith" and "endsWith". Default = 'startsWith'.

      Specified by:
        `getFilterMatchMode` in interface `IColumn`

    - #### setFilterOptions

          public void setFilterOptions(java.lang.Object filterOptions)

      Set the value of the `filterOptions` property.

      Contents: Defines a collection of SelectItem objects for use as filter choices.

      Specified by:
        `setFilterOptions` in interface `IColumn`

    - #### getFilterOptions

          public java.lang.Object getFilterOptions()

      Return the value of the `filterOptions` property.

      Contents: Defines a collection of SelectItem objects for use as filter choices.

      Specified by:
        `getFilterOptions` in interface `IColumn`

    - #### setFilterStyle

          public void setFilterStyle(java.lang.String filterStyle)

      Set the value of the `filterStyle` property.

      Contents: Defines additional CSS rules to be applied to the filter text input.

      Specified by:
        `setFilterStyle` in interface `IColumn`

    - #### getFilterStyle

          public java.lang.String getFilterStyle()

      Return the value of the `filterStyle` property.

      Contents: Defines additional CSS rules to be applied to the filter text input.

      Specified by:
        `getFilterStyle` in interface `IColumn`

    - #### setFilterStyleClass

          public void setFilterStyleClass(java.lang.String filterStyleClass)

      Set the value of the `filterStyleClass` property.

      Contents: Defines supplementary CSS classes to add to those already applied on this component.

      Specified by:
        `setFilterStyleClass` in interface `IColumn`

    - #### getFilterStyleClass

          public java.lang.String getFilterStyleClass()

      Return the value of the `filterStyleClass` property.

      Contents: Defines supplementary CSS classes to add to those already applied on this component.

      Specified by:
        `getFilterStyleClass` in interface `IColumn`

    - #### setFilterValue

          public void setFilterValue(java.lang.String filterValue)

      Set the value of the `filterValue` property.

      Contents: Defines the string input filtering this column, coming from the client, or from the application via a value binding.

      Specified by:
        `setFilterValue` in interface `IColumn`

    - #### getFilterValue

          public java.lang.String getFilterValue()

      Return the value of the `filterValue` property.

      Contents: Defines the string input filtering this column, coming from the client, or from the application via a value binding.

      Specified by:
        `getFilterValue` in interface `IColumn`

    - #### setFilterValues

          public void setFilterValues(java.lang.Object filterValues)

      Set the value of the `filterValues` property.

      Contents: Defines multiple filter values. This property can only be set programmatically, typically when using the filter facet as well. The value must be a Collection or an Array of strings. If this attribute is set, 'filterValue' is ignored.

      Specified by:
        `setFilterValues` in interface `IColumn`

    - #### getFilterValues

          public java.lang.Object getFilterValues()

      Return the value of the `filterValues` property.

      Contents: Defines multiple filter values. This property can only be set programmatically, typically when using the filter facet as well. The value must be a Collection or an Array of strings. If this attribute is set, 'filterValue' is ignored.

      Specified by:
        `getFilterValues` in interface `IColumn`

    - #### setFooterText

          public void setFooterText(java.lang.String footerText)

      Set the value of the `footerText` property.

      Contents: Defines a plain text footer with less effort than adding a facet.

      Specified by:
        `setFooterText` in interface `IColumn`

    - #### getFooterText

          public java.lang.String getFooterText()

      Return the value of the `footerText` property.

      Contents: Defines a plain text footer with less effort than adding a facet.

      Specified by:
        `getFooterText` in interface `IColumn`

    - #### setGroupBy

          public void setGroupBy(java.lang.Object groupBy)

      Set the value of the `groupBy` property.

      Contents: Defines a value expression representing the value of this column per row when determining if the values of this column in sibling rows are equal. If they are equal, span the rows witha single column cell.

      Specified by:
        `setGroupBy` in interface `IColumn`

    - #### getGroupBy

          public java.lang.Object getGroupBy()

      Return the value of the `groupBy` property.

      Contents: Defines a value expression representing the value of this column per row when determining if the values of this column in sibling rows are equal. If they are equal, span the rows witha single column cell.

      Specified by:
        `getGroupBy` in interface `IColumn`

    - #### setHeaderText

          public void setHeaderText(java.lang.String headerText)

      Set the value of the `headerText` property.

      Contents: Defines a plain text header with less effort than adding a facet. Note that even when using a header facet this property should also be set as a short-form label for the column that will be used within the ace:tableConfigPanel.

      Specified by:
        `setHeaderText` in interface `IColumn`

    - #### getHeaderText

          public java.lang.String getHeaderText()

      Return the value of the `headerText` property.

      Contents: Defines a plain text header with less effort than adding a facet. Note that even when using a header facet this property should also be set as a short-form label for the column that will be used within the ace:tableConfigPanel.

      Specified by:
        `getHeaderText` in interface `IColumn`

    - #### setHideSortControls

          public void setHideSortControls(boolean hideSortControls)

      Set the value of the `hideSortControls` property.

      Contents: When true, the sort controls in the column header will not be rendered.

      Specified by:
        `setHideSortControls` in interface `IColumn`

    - #### isHideSortControls

          public boolean isHideSortControls()

      Return the value of the `hideSortControls` property.

      Contents: When true, the sort controls in the column header will not be rendered. Default = 'false'.

      Specified by:
        `isHideSortControls` in interface `IColumn`

    - #### setLazyColumnKey

          public void setLazyColumnKey(java.lang.String lazyColumnKey)

      Set the value of the `lazyColumnKey` property.

      Contents: Specifies a string that will be used to identify this column when working in lazy mode. This string will be passed as a key of the filters map and will be returned from SortCriteria.getPropertyName() in the LazyDataModel.load() method. If this attribute is defined, then this value will be used instead of the value obtained by parsing the EL expressions of the sortyBy and filterBy attributes. This attribute is useful when using complex and/or dynamic EL expressions that can't be parsed nor resolved at render time, such as when using c:forEach to define the columns.

      Specified by:
        `setLazyColumnKey` in interface `IColumn`

    - #### getLazyColumnKey

          public java.lang.String getLazyColumnKey()

      Return the value of the `lazyColumnKey` property.

      Contents: Specifies a string that will be used to identify this column when working in lazy mode. This string will be passed as a key of the filters map and will be returned from SortCriteria.getPropertyName() in the LazyDataModel.load() method. If this attribute is defined, then this value will be used instead of the value obtained by parsing the EL expressions of the sortyBy and filterBy attributes. This attribute is useful when using complex and/or dynamic EL expressions that can't be parsed nor resolved at render time, such as when using c:forEach to define the columns.

      Specified by:
        `getLazyColumnKey` in interface `IColumn`

    - #### setPinningOrder

          public void setPinningOrder(java.lang.Integer pinningOrder)

      Set the value of the `pinningOrder` property.

      Contents: Define the position of this column in the pinned column region when column pinning and scrolling are enabled at the table level. Having a value in this field indicates a column is pinned. 1 indexed.

      Specified by:
        `setPinningOrder` in interface `IColumn`

    - #### getPinningOrder

          public java.lang.Integer getPinningOrder()

      Return the value of the `pinningOrder` property.

      Contents: Define the position of this column in the pinned column region when column pinning and scrolling are enabled at the table level. Having a value in this field indicates a column is pinned. 1 indexed.

      Specified by:
        `getPinningOrder` in interface `IColumn`

    - #### setReorderable

          public void setReorderable(boolean reorderable)

      Set the value of the `reorderable` property.

      Contents: Enables per-column control of column ordering when the attribute ("reorderableColumns") is true at the table level.

      Specified by:
        `setReorderable` in interface `IColumn`

    - #### isReorderable

          public boolean isReorderable()

      Return the value of the `reorderable` property.

      Contents: Enables per-column control of column ordering when the attribute ("reorderableColumns") is true at the table level. Default = 'true'.

      Specified by:
        `isReorderable` in interface `IColumn`

    - #### setRowspan

          public void setRowspan(int rowspan)

      Set the value of the `rowspan` property.

      Contents: Defines the number of rows the rendered cell spans. Only significant to Column components within a column group.

      Specified by:
        `setRowspan` in interface `IColumn`

    - #### getRowspan

          public int getRowspan()

      Return the value of the `rowspan` property.

      Contents: Defines the number of rows the rendered cell spans. Only significant to Column components within a column group. Default = '1'.

      Specified by:
        `getRowspan` in interface `IColumn`

    - #### setSelectBy

          public void setSelectBy(java.lang.Object selectBy)

      Set the value of the `selectBy` property.

      Contents: Defines a value expression representing the value of this column per row when using cell selection. Defining this attribute, or the "value" attribute, enables cell selection for this column when also enabled at the table level.

      Specified by:
        `setSelectBy` in interface `IColumn`

    - #### getSelectBy

          public java.lang.Object getSelectBy()

      Return the value of the `selectBy` property.

      Contents: Defines a value expression representing the value of this column per row when using cell selection. Defining this attribute, or the "value" attribute, enables cell selection for this column when also enabled at the table level.

      Specified by:
        `getSelectBy` in interface `IColumn`

    - #### setSortAscending

          public void setSortAscending(java.lang.Boolean sortAscending)

      Set the value of the `sortAscending` property.

      Contents: Defines the direction of column values during sorting. The column directions incoming from the client during a sort request overwrite any set by the application. Processing the sorted columns is done by the component whenever a client edits a sort control or the application calls table.applySorting().

      Specified by:
        `setSortAscending` in interface `IColumn`

    - #### isSortAscending

          public java.lang.Boolean isSortAscending()

      Return the value of the `sortAscending` property.

      Contents: Defines the direction of column values during sorting. The column directions incoming from the client during a sort request overwrite any set by the application. Processing the sorted columns is done by the component whenever a client edits a sort control or the application calls table.applySorting(). Default = 'false'.

      Specified by:
        `isSortAscending` in interface `IColumn`

    - #### setSortBy

          public void setSortBy(java.lang.Object sortBy)

      Set the value of the `sortBy` property.

      Contents: Defines a value expression representing the value of this column per row when sorting. Setting this attribute, or the "value" attribute for a column enables sorting.

      Specified by:
        `setSortBy` in interface `IColumn`

    - #### getSortBy

          public java.lang.Object getSortBy()

      Return the value of the `sortBy` property.

      Contents: Defines a value expression representing the value of this column per row when sorting. Setting this attribute, or the "value" attribute for a column enables sorting.

      Specified by:
        `getSortBy` in interface `IColumn`

    - #### setSortFunction

          public void setSortFunction(java.util.Comparator sortFunction)

      Set the value of the `sortFunction` property.

      Contents: Defines an alternate method of sorting. Sort this column using a Comparator

      Specified by:
        `setSortFunction` in interface `IColumn`

    - #### getSortFunction

          public java.util.Comparator getSortFunction()

      Return the value of the `sortFunction` property.

      Contents: Defines an alternate method of sorting. Sort this column using a Comparator

      Specified by:
        `getSortFunction` in interface `IColumn`

    - #### setSortPriority

          public void setSortPriority(java.lang.Integer sortPriority)

      Set the value of the `sortPriority` property.

      Contents: Defines the priority of a column during sorting. The column priorities incoming from the client during a sort request overwrite any set by the application. Processing the sorted columns is done by the component whenever a client edits a sort control or the application calls table.applySorting().

      Specified by:
        `setSortPriority` in interface `IColumn`

    - #### getSortPriority

          public java.lang.Integer getSortPriority()

      Return the value of the `sortPriority` property.

      Contents: Defines the priority of a column during sorting. The column priorities incoming from the client during a sort request overwrite any set by the application. Processing the sorted columns is done by the component whenever a client edits a sort control or the application calls table.applySorting().

      Specified by:
        `getSortPriority` in interface `IColumn`

    - #### setSortWhenGrouping

          public void setSortWhenGrouping(boolean sortWhenGrouping)

      Set the value of the `sortWhenGrouping` property.

      Contents: When disabled, this column will neither be sortable nor automatically sorted when using the groupBy attribute.

      Specified by:
        `setSortWhenGrouping` in interface `IColumn`

    - #### isSortWhenGrouping

          public boolean isSortWhenGrouping()

      Return the value of the `sortWhenGrouping` property.

      Contents: When disabled, this column will neither be sortable nor automatically sorted when using the groupBy attribute. Default = 'true'.

      Specified by:
        `isSortWhenGrouping` in interface `IColumn`

    - #### setStacked

          public void setStacked(boolean stacked)

      Set the value of the `stacked` property.

      Contents: When enabled, this column is rendered underneath the previous column.

      Specified by:
        `setStacked` in interface `IColumn`

    - #### isStacked

          public boolean isStacked()

      Return the value of the `stacked` property.

      Contents: When enabled, this column is rendered underneath the previous column.

      Specified by:
        `isStacked` in interface `IColumn`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Custom inline CSS styles to use for this component. These styles are generally applied to the root DOM element of the component. This is intended for per-component basic style customizations. Note that due to browser CSS precedence rules, CSS rendered on a DOM element will take precedence over the external stylesheets used to provide the ThemeRoller theme on this component. If the CSS properties applied with this attribute do not affect the DOM element you want to style, you may need to create a custom theme styleClass for the theme CSS class that targets the particular DOM elements you wish to customize.

      Specified by:
        `setStyle` in interface `IColumn`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Custom inline CSS styles to use for this component. These styles are generally applied to the root DOM element of the component. This is intended for per-component basic style customizations. Note that due to browser CSS precedence rules, CSS rendered on a DOM element will take precedence over the external stylesheets used to provide the ThemeRoller theme on this component. If the CSS properties applied with this attribute do not affect the DOM element you want to style, you may need to create a custom theme styleClass for the theme CSS class that targets the particular DOM elements you wish to customize.

      Specified by:
        `getStyle` in interface `IColumn`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Custom CSS style class(es) to use for this component. These style classes can be defined in your page or in a theme CSS file.

      Specified by:
        `setStyleClass` in interface `IColumn`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Custom CSS style class(es) to use for this component. These style classes can be defined in your page or in a theme CSS file.

      Specified by:
        `getStyleClass` in interface `IColumn`

    - #### setFilterFacet

          public void setFilterFacet(javax.faces.component.UIComponent filter)

      Set the value of the `filter facet` property.

    - #### getFilterFacet

          public javax.faces.component.UIComponent getFilterFacet()

      Return the value of the `filter facet` property.

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.